	subroutine parset(ia)
c
	include '/u1/gcf/e350/crystal/cb/parms'
c
	include '/u1/gcf/e350/crystal/cb/hotsun'
c
	include '/u1/gcf/e350/crystal/cb/where'
c
c
        common/outex/knamp(10)
c
c
100	format(6halpha ,i1)
c
	return
        entry alpset(ia)
        if (iusalp(ia).ne.ia) return
	npar=npar+1
	ialpha(ia)=npar
        knamp(npar)=ia
        nampar(npar)=6halpha 
	param(ialpha(ia))=alfain(ia)
	return
c
	entry bmset
	npar=npar+1
	ibeam=npar
	nampar(npar)=8hbeam mom  
	param(ibeam)=pincin
	return
c
	entry sigset
	npar=npar+1
	isigma=npar
	nampar(npar)=5hsigma     
	param(isigma)=sigman
	return
c
	end
